/**
 * #.# Common SCSS
 *
 * Can include things like variables and mixins
 * that are used across the project.
*/
.device-wrapper {
  position: relative;
  display: inline-block;
  overflow: hidden;
  max-width: 100%; }
  .device-wrapper .device-wrapper__inner {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    margin: 0;
    z-index: 1;
    margin-left: auto;
    margin-right: auto;
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0); }
    .device-wrapper .device-wrapper__inner::after {
      content: "";
      position: absolute;
      display: block;
      background-color: var(--device-wrapper--bg-color, "transparent");
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      z-index: -1; }
    .device-wrapper .device-wrapper__inner img, .device-wrapper .device-wrapper__inner video, .device-wrapper .device-wrapper__inner iframe {
      width: 100%;
      height: auto;
      max-width: 100%;
      display: block; }
    .device-wrapper .device-wrapper__inner video {
      cursor: pointer; }
      .device-wrapper .device-wrapper__inner video.is-playing + .device-wrapper__play-button {
        opacity: 0; }
      .device-wrapper .device-wrapper__inner video:not(.is-playing):hover + .device-wrapper__play-button {
        opacity: 1; }
    .device-wrapper .device-wrapper__inner_iphone_se {
      left: 6%;
      top: 11%;
      right: 6%;
      bottom: 11%;
      border-radius: 0; }
    .device-wrapper .device-wrapper__inner_iphone_11_pro {
      left: 5%;
      top: 2%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_12 {
      left: 5%;
      top: 2%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_12_pro_max {
      left: 5%;
      top: 2%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_13 {
      left: 5%;
      top: 1.75%;
      right: 5%;
      bottom: 1.75%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_13_pro_max {
      left: 5%;
      top: 1.75%;
      right: 5%;
      bottom: 1.75%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_14_pro {
      left: 4.25%;
      top: 1.75%;
      right: 4.25%;
      bottom: 1.75%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_14_pro_v2 {
      left: 5%;
      top: 2%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_14_pro_max {
      left: 5%;
      top: 1.5%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_14 {
      left: 5%;
      top: 2%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_iphone_14_plus {
      left: 5%;
      top: 2%;
      right: 5%;
      bottom: 2%;
      border-radius: 6%; }
    .device-wrapper .device-wrapper__inner_ipad_pro_11 {
      left: 5%;
      top: 3.5%;
      right: 5%;
      bottom: 3.5%;
      border-radius: 3%; }
    .device-wrapper .device-wrapper__inner_ipad {
      left: 4%;
      top: 6.5%;
      right: 4%;
      bottom: 7.75%;
      border-radius: 0%; }
    .device-wrapper .device-wrapper__inner_macbook_pro {
      left: 11%;
      top: 4.5%;
      right: 11%;
      bottom: 11.75%;
      border-radius: 0%; }
    .device-wrapper .device-wrapper__inner_macbook_pro_2023 {
      left: 10%;
      top: 2%;
      right: 10%;
      bottom: 12.75%;
      border-radius: 0%; }
    .device-wrapper .device-wrapper__inner_apple_studio {
      left: 2%;
      top: 2%;
      right: 2%;
      bottom: 27%;
      border-radius: 0%; }
    .device-wrapper .device-wrapper__inner_google_pixel_4 {
      left: 3%;
      top: 5.5%;
      right: 4%;
      bottom: 2.75%;
      border-radius: 3%; }
    .device-wrapper .device-wrapper__inner_google_pixel_7_pro {
      left: 3%;
      top: 1.5%;
      right: 4%;
      bottom: 2%;
      border-radius: 3%; }
    .device-wrapper .device-wrapper__inner_samsung_galaxy_s23 {
      left: 4%;
      top: 1.75%;
      right: 6%;
      bottom: 2%;
      border-radius: 4%; }
    .device-wrapper .device-wrapper__inner_iwatch_7 {
      left: 3%;
      top: 17.75%;
      right: 7%;
      bottom: 18.5%;
      border-radius: 19%; }
    .device-wrapper .device-wrapper__inner__scroll {
      height: 100%; }
    .device-wrapper .device-wrapper__inner_cover img, .device-wrapper .device-wrapper__inner_cover video, .device-wrapper .device-wrapper__inner_cover iframe {
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      -o-object-position: center top;
         object-position: center top; }
    .device-wrapper .device-wrapper__inner_contain img, .device-wrapper .device-wrapper__inner_contain video {
      height: 100%;
      -o-object-fit: contain;
         object-fit: contain;
      -o-object-position: center;
         object-position: center; }
    .device-wrapper .device-wrapper__inner_contain iframe {
      width: 100%;
      height: auto; }
    .device-wrapper .device-wrapper__inner_contain.device-wrapper__inner_iframe {
      display: -ms-flexbox;
      display: flex;
      -ms-flex-align: center;
          align-items: center; }
    .device-wrapper .device-wrapper__inner_overflow img, .device-wrapper .device-wrapper__inner_overflow video, .device-wrapper .device-wrapper__inner_overflow iframe {
      width: auto;
      max-width: none;
      max-height: none; }
    .device-wrapper .device-wrapper__inner_overflow .device-wrapper__inner__scroll {
      overflow: auto; }
    .device-wrapper .device-wrapper__inner_overflow-x .simplebar-content {
      height: 100%;
      width: auto; }
    .device-wrapper .device-wrapper__inner_overflow-x img, .device-wrapper .device-wrapper__inner_overflow-x video, .device-wrapper .device-wrapper__inner_overflow-x iframe {
      width: auto;
      max-width: none;
      max-height: 100%;
      height: 100%; }
    .device-wrapper .device-wrapper__inner_overflow-x .device-wrapper__inner__scroll {
      overflow: hidden;
      overflow-x: auto; }
    .device-wrapper .device-wrapper__inner_overflow-y .device-wrapper__inner__scroll {
      overflow: hidden;
      overflow-y: auto; }
  .device-wrapper .device-wrapper__device {
    position: relative;
    z-index: 2;
    height: 100%;
    pointer-events: none; }
    .device-wrapper .device-wrapper__device img {
      width: 100%;
      height: auto;
      max-height: 100%;
      max-width: 100%;
      display: block; }
  .device-wrapper button.device-wrapper__play-button {
    position: absolute;
    width: 100%;
    height: 100%;
    margin: auto;
    padding: 0;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    border: 0;
    border-radius: 0;
    cursor: pointer;
    background-color: transparent;
    background-image: url(../src/images/play-button.svg);
    background-size: clamp(50px, 5vw, 50%);
    background-position: center;
    background-repeat: no-repeat;
    -webkit-transition: all 300ms ease-in;
    -o-transition: all 300ms ease-in;
    transition: all 300ms ease-in;
    opacity: .5;
    z-index: 1;
    pointer-events: none; }
  .device-wrapper .simplebar-track.simplebar-horizontal {
    bottom: 10px; }

/**
 * #.# Styles
 *
 * CSS for both Frontend+Backend.
 */
